apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  namespace: monitoring
  name: thanos-query
  annotations:
    external-dns.alpha.kubernetes.io/target: sun-z8s-vip-1.zooxlabs.com
    nginx.ingress.kubernetes.io/auth-url: "https://$host/oauth2/auth"
    nginx.ingress.kubernetes.io/auth-signin: "https://$host/oauth2/start?rd=$escaped_request_uri"
spec:
  tls:
    - hosts:
        - thanos-query.z8s.zooxlabs.com
  rules:
  - host: thanos-query.z8s.zooxlabs.com
    http:
      paths:
      - backend:
          serviceName: thanos-query
          servicePort: 9090
